image: golang:1.12.5

stages:
  - test

test:integration:
  stage: test
  before_script:
    - curl -sL https://glide.sh/get | bash
  script:
    - make test

build:go:
  stage: test
  before_script:
    - curl -sL https://glide.sh/get | bash
    - go get github.com/mitchellh/gox
  script:
    - make

test:fmt:
  stage: test
  image: golang:1.12.5
  script:
    - make fmtCheck

